/*
 * segatex SELinux tool.
 *
 * Copyright (C) 2007-2009 Shintaro Fujiwara 
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * */

#include <QtGui> 
#include <QtSql> 
#include <QMessageBox> 
#include "sqlrefpolicy.h"

//default constructor
Sqlrefpolicy::Sqlrefpolicy(QWidget *parent, const char *name): QDialog(parent, name)
{
	model = new QSqlTableModel(this);
	//model->setTable("layers");
	//model->setFilter("no = 1");
	model->setTable("interface_name_target_domain");
	//model->setFilter("interface_name = acct_domtrans");
	//model->setFilter("target_domain = var_t");
	model->setEditStrategy(QSqlTableModel::OnManualSubmit);
	model->select();

	//model->setHeaderData(0, Qt::Horizontal, tr("No"));
	model->setHeaderData(1, Qt::Horizontal, tr("Interface Name"));
	model->setHeaderData(2, Qt::Horizontal, tr("Target Domain"));

	QTableView *view = new QTableView;
	view->setModel(model);
	view->setSelectionBehavior(QAbstractItemView::SelectRows);
	view->resizeColumnsToContents();
/*

	for(int row=0; row < model->rowCount(); ++row){
		view->selectRow(row);
		break;	
	}
*/
	mainLayout = new QHBoxLayout;
	mainLayout->addWidget(view);
	setLayout(mainLayout);
	setWindowTitle(tr("refpolicy analyzer"));
	resize(600,600);
}
